import { Blockchain } from '@onomy/frontend-relay-types';
import React, { useMemo } from 'react';

export function BlockchainDisplayName({
  chain,
  uppercase = false,
}: {
  chain: Blockchain;
  uppercase?: boolean;
}) {
  const displayName = useMemo(() => {
    const parts = chain.name.split('-');
    if (parts.length === 1) return chain.name;
    const lastPart = parts.pop();
    if (Number.isNaN(parseInt(lastPart ?? '', 10))) return chain.name.replaceAll('-', ' ');
    return parts.join(' ');
  }, [chain.name]);

  // eslint-disable-next-line react/jsx-no-useless-fragment
  return <>{uppercase ? displayName.toUpperCase() : displayName}</>;
}
