import React, { createContext, useContext } from 'react';
import { useSubmitProposalForm } from '@onomy/react-hub';

export type ProposalCreateContextType = ReturnType<typeof useSubmitProposalForm>;

const ProposalCreateContext = createContext<ProposalCreateContextType>(null as any);

export function useProposalCreate() {
  const state = useContext(ProposalCreateContext);
  if (!state) throw new Error('ProposalCreateContext missing');
  return state;
}

export function ProposalCreateProvider({ children }: { children: JSX.Element | JSX.Element[] }) {
  const state = useSubmitProposalForm();

  return <ProposalCreateContext.Provider value={state}>{children}</ProposalCreateContext.Provider>;
}
